Page 27 of 27

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Sun Aug 22, 2021 2:55 pm
by kaavain
Hi all

The question is: having CentOS 7 is it a chance to get PHP 5.3.3 using this selector or no way and wasted time? I'm really need 5.3.3

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Sun Oct 03, 2021 11:18 am
by pashali
hello

i got error after install VestaCP PHP Selector.

phpMyAdmin - Error

Error during session start; please check your PHP and/or webserver log file and configure your PHP installation properly. Also ensure that cookies are enabled in your browser.

session_start(): open(SESSION_FILE, O_RDWR) failed: Permission denied (13)

i try everything but not fix. please help me with it.

im using centos 6.10

and install this
https://github.com/001101/Vesta-CP-PHP- ... .6-and-5.5

now unable to open phpMyAdmin

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Sun Oct 03, 2021 11:31 am
by kaavain
Found a great solution. I’m really happy and it works perfectly. And even has much, much better functionality, easy of use and UI. The name is FastPanel. It is completely free and works fantastic.

(SOLVED)you don't have permission to access /phpmyadmin/ on this server.

Posted: Fri Oct 15, 2021 9:41 am
by addyjo
Hi Guys! today i will tell you that how you can get rid of dont have permission to accesss phpmyadmin once you downgrade from php 8.1 to any version of php,

Please note - i tried this on vestacp fresh install- PHP version installed 8.1(so do it at your own risk , i am not a coder or linux admin but i spent almost 3 days to find out the solution of this issue...it may help you, dont forget to say thanks :)

so lets get started


#First downgrade php by this tuotorial



#downgrade from 7.3 to 5.6 or any other version
first remove php .....

yum remove "php-*" -y

then disable & enable the version you want..

yum --disablerepo=remi-php73 --enablerepo=remi-php56 install php php-gd php-mbstring php-mysql php-curl php-mcrypt

https://www.linuxhelp.com/how-to-upgrad ... centos-7-6

#Checkyour php Version Now

php -v


#Then disabled all variant - one by one

yum-config-manager --disable remi-php55
yum-config-manager --disable remi-php56
yum-config-manager --disable remi-php70
yum-config-manager --disable remi-php71
yum-config-manager --disable remi-php72
yum-config-manager --disable remi-php73

https://www.mysterydata.com/how-to-inst ... s-vestacp/

#Then enable the main PHP repo (Check your php version first by php -v command

yum-config-manager --enable remi-php73


#now remove phpmyadmin

yum remove phpmyadmin

#Re-install phpmyadmin

yum install phpmyadmin


#open your phpmyadmin.conf file by this command

vi /etc/httpd/conf.d/phpMyAdmin.conf

#now under user share change this

<Directory /usr/share/phpMyAdmin/>
AddDefaultCharset UTF-8

<IfModule mod_authz_core.c>
# Apache 2.4
<RequireAny>
#Require ip 127.0.0.1
#Require ip ::1
Require all granted
</RequireAny>
</IfModule>
<IfModule !mod_authz_core.c>
# Apache 2.2
Order Deny,Allow
Deny from All
Allow from 127.0.0.1
Allow from ::1
</IfModule>
</Directory>
<Directory /usr/share/phpMyAdmin/setup/>
<IfModule mod_authz_core.c>
# Apache 2.4
<RequireAny>
#Require ip 127.0.0.1
#Require ip ::1
Require all granted
</RequireAny>
</IfModule>
<IfModule !mod_authz_core.c>
# Apache 2.2
Order Deny,Allow
Deny from All
Allow from 127.0.0.1
Allow from ::1
</IfModule>
</Directory>

#save and exit the file by this command

:wq


#then restart the server


service httpd restart


check the phpmyadmin ...enjoy:)